<?php
$no_http_headers = true;
error_reporting(E_ERROR);
include_once(dirname(__FILE__) . "/../include/config.php");
include_once(dirname(__FILE__) . "/../lib/snmp.php");

$items[] = array(
        "names" => "query_Success",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.1",
        "values" => "0"
        );
$items[] = array(
        "names" => "query_Referral",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.2",
        "values" => "0"
        );
$items[] = array(
        "names" => "query_NxRRset",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.3",
        "values" => "0"
        );
$items[] = array(
        "names" => "query_NxDomain",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.4",
        "values" => "0"
        );
$items[] = array(
        "names" => "query_Recursion",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.5",
        "values" => "0"
        );
$items[] = array(
        "names" => "query_Failure",
        "oids" => ".1.3.6.1.4.1.7779.1.1.1.6",
        "values" => "0"
        );

$hostname = $_SERVER["argv"][1];
$snmp_community = $_SERVER["argv"][2];
$snmp_version = $_SERVER["argv"][3];
/* This was for debugging
$hostname = "<somehost>";
$snmp_community = "<somecommunity>";
$snmp_version = "1";
*/

for ($i=0;($i<sizeof($items));$i++) {
        $oid = $items[$i]["oids"];
        $data = reindex(cacti_snmp_walk($hostname, $snmp_community, "$oid", $snmp_version, "", "", 161, 1000));
        $items[$i]["values"] = "$data[0]";
}

for ($i=0;($i<sizeof($items));$i++) {
                print $items[$i]["names"] . ":" . $items[$i]["values"] . " ";
}
/* this is here because i had a problem with cacti not reading the last item */
print "#:# ";

function reindex($arr) {
        $return_arr = array();

        for ($i=0;($i<sizeof($arr));$i++) {
                $return_arr[$i] = $arr[$i]["value"];
        }

        return $return_arr;
}

?> 
